nvme_identify_secondary_ctrl_list(2)

NAME
nvme_identify_secondary_ctrl_list - Retrieves secondary controller list

SYNOPSIS
int nvme_identify_secondary_ctrl_list (int fd , __u16 cntid , struct nvme_secondary_ctrl_list *sc_list );

ARGUMENTS

fd  File descriptor of nvme device

cntid
    Return controllers starting at this identifier

sc_list
    User space destination address to transfer the data

DESCRIPTION
A Secondary Controller List is returned to the host for up to 127 secondary controllers associated with the primary controller processing this command. The list contains entries for controller identifiers greater than or equal to the value specified in the Controller Identifier (cntid).

See struct nvme_secondary_ctrls_list for a definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.